---
lang: en-US
layout: wiki
section: community
category: discord
title: DS⁽ⁱ⁾ Mode Hacking Info
description: Information for the DS⁽ⁱ⁾ Mode Hacking Discord server
---

This is a Discord server that specializes in all things related to Nintendo DS(i) modding and homebrew, from helping set up your flashcard to homebrew development. We also focus on other things such as creating ROM hacks, playing DS games, and TWL_FIRM modding on 3DS.

## Discord Channels
There are plenty of channels for different topics, so make sure you're using the right channel so the others don't get flooded with unrelated conversations.

Always remember to check the channel topic and pins before talking in a channel.
{:.alert .alert-info}

**Important**
- [#info-and-rules][info-and-rules] - This provides brief information on the rules and information on this server. For more detailed information on the rules, see [the rules page](https://wiki.ds-homebrew.com/community/discord-rules) on the wiki
- [#useful-resources][useful-resources] - Links to useful resources that are outside of the Discord server such as other servers or this wiki
- [#member-logs][member-logs] - Shows user joins and server boosts

**Server Hub**
- [#announcements][announcements] - Information on new updates to homebrew and also general announcements related to the server
- [#github-updates][github-updates] - Feed of all contributions to and discussions in our projects' GitHub repositories
- [#subreddit-feed][subreddit-feed] - Updates for new posts from our [Subreddit](https://reddit.com/r/NDSBrew)
- [#community-meta][community-meta] - For giving feedback about our community, including this Discord server, our subreddit, and GitHub organization

**Nintendo DS⁽ⁱ⁾ Modding**
- [#nds-help][nds-help] - Have an issue with anything Nintendo DS(i) related? Need to ask a general question? Go ahead and do it here, providing all the information you can give (error messages, your console, methods tried, logs, and so forth). Keep 3DS modding in #other-console-modding unless it involves TWL_FIRM
- [#nds-discussion][nds-discussion] - Place to discuss flashcards, AP patches, and general DS understandings and research. While this channel covers TWL_FIRM on 3DS, please keep 3DS Mode discussions in #other-console-modding
- [#nds-hacks][nds-hacks] - Talk about ROM hacks, mods, and cheats for Nintendo DS(i) titles. Check the pins for a list of dedicated communities
- [#nds-dev][nds-dev] - Resources and discussions about DS(i) homebrew development. Discussion of already existing homebrew should go in #other-nds-homebrew

**Main DS⁽ⁱ⁾ Homebrew Projects**
- [#nds-bootstrap][nds-bootstrap] - This channel is for discussion of the development of nds-bootstrap, for help use #nds-modding-help
- [#twilight-menu][twilight-menu] - This channel is for discussion of the development of TWiLight Menu++, for help use #nds-modding-help
- [#gbarunner2][gbarunner2] - This channel is for discussion of the development of GBARunner2, for help use #nds-modding-help
- [#web-dev][web-dev] - Discussion and suggestions for [dsi.cfw.guide](https://dsi.cfw.guide/) and all [ds-homebrew sites](https://ds-homebrew.com/) go here

**Secondary DS⁽ⁱ⁾ Homebrew Projects**
- [#godmode9i][godmode9i] - This channel is for discussion of the development of godmode9i, for help use #nds-modding-help
- [#emulators-on-nds][emulators-on-nds] - This is for talking about emulators on the Nintendo DS(i). Discussion for Nintendo DS(i) emulators should go in #nds-modding-discussion
- [#other-nds-homebrew][other-nds-homebrew] - Talk about Nintendo DS(i) homebrew and get support that isn't covered by other channels

**Community**
- [#off-topic][off-topic] - A channel for any topic that does not necessarily fit the other channels. Lower-quality posts should be kept to #end-of-server
- [#nds-gaming][nds-gaming] - A place to generally discuss games on the DS(i), as well as seek players for online play
- [#other-console-modding][other-console-modding] - Talk about homebrew and mods for any other game systems, such as the 3DS when not in TWL_FIRM
- [#end-of-server][end-of-server] - This for casual, lower-quality chatting. Rules are slightly more relaxed but are still enforced. Use this to post your memes, bot commands, and other things that don't facilitate discussion

## Roles & User Flairs
We have several roles you can get on this server, some of them being accessible with just a Lightning bot command.

### Moderator Roles
These roles are given to people that are well trusted, they have the ability to ban, kick, mute, and give other roles to users.

- Da Master - The Owner role, has all possible perms
- Admin - Has all possible perms, usually gets final say between the Server Maintainers
- Server Maintainers - Help enforce the server rules and manage the server. If there is an issue contact them first before going higher up

### User Flair Roles
These roles can only be given by moderators and indicate that these users are knowledgeable in those fields, some give access to private channels. If you think that you fit the descriptions for any of these roles, ask in #community-meta. Moderators will evaluate your request based on the role's requirements.

- Developers - This role is given to those who have contributed code to the Nintendo DS scene. If you have any projects for the role, show them in #nds-dev-discussion
- Helpers - This role is given to those that actively provide meaningful assistance in #nds-modding-help or have contributed to compatibility reporting
   - Helpers have no moderator perms, please ping a mod if a situation needs one
- Nitro Boosters - Given to those that have given Server Boosts

### Punishment Roles
If you have broken the rules, you may receive these roles from a mod.

- No Community - Removes access for all the channels under the Community category
- No Help - Removes access from [#nds-modding-help][nds-modding-help]
- No Reaction - Disables reaction perms for all channels
- No VC - Removes access to the voice channel
- Muted - Disables the ability to send messages

### Other
These roles are only given for very specific purposes by Moderators.

- Bots - Used to mark the Discord bots we have in this server
- Special Thanks - People that have contributed to our community in a major way

## Lightning Commands
Lightning is a Discord bot made by [LightSage](https://github.com/LightSage) which has useful commands for modding communities. The most common command used is `!togglerole`, which will give you any of the following roles below:

- Updates - Get pings for updates on new releases of DS(i) homebrew in #announcements
- Nintendo DS Online Players - Anyone can ping this role in #nds-gaming when they're looking for people to play DS games online with
- Artist/Designers - For those that have made high-quality TWiLight Menu++ skins, unlaunch backgrounds or graphics for other DS(i) homebrew
- Composers - For those that have made music for DS(i) homebrew or ROM hacks
- Game Modders - For those that have made ROM hacks, cheats, or any other type of modifications to DS(i) games
- Translators - Anyone that wants to be notified for contributing to translations of various DS-Homebrew projects

There are a ton of fun commands you can run as well, but please keep them to [#end-of-server][end-of-server].
To learn more, check out their website: <https://lightning.lightsage.dev/>

**We also use Lightning for moderation purposes (to log warns, kicks, mutes and bans). Keep this bot's DM box open in case we ever need to reach you.**

## The Staff Team
These are the people who maintain the server. If they say something is final, it is not up for debate. These members are hoisted in the member listing.
Currently, we are not looking for staff members. Do not ask to be a part of the team, as it will decrease your chance of getting accepted.

Owner: shutterbug2000#8835

Administrators: RocketRobz#4931, NightScript#5597, FNowut#5028, ahezard#8037, Apache Thunder#1696

Server Maintainers: Kaisaan#6181, Pk11#3666, Kodtiz3D#8288, lifehackerhansol#4546, Frost#6943

<!-- Discord channel links -->
[info-and-rules]: https://discord.com/channels/283769550611152897/626620520330428436
[useful-resources]: https://discord.com/channels/283769550611152897/638041441079263283
[member-logs]: https://discord.com/channels/283769550611152897/677714673663082529

[announcements]: https://discord.com/channels/283769550611152897/283771381735489537
[github-updates]: https://discord.com/channels/283769550611152897/450065134191116290
[github-builds]: https://discord.com/channels/283769550611152897/540764336134815766
[subreddit-feed]: https://discord.com/channels/283769550611152897/869830055377928243
[community-meta]: https://discord.com/channels/283769550611152897/715651368391671919

[nds-help]: https://discord.com/channels/283769550611152897/332961165829210117
[nds-discussion]: https://discord.com/channels/283769550611152897/547986366357700620
[nds-hacks]: https://discord.com/channels/283769550611152897/356988919738400768
[nds-dev]: https://discord.com/channels/283769550611152897/835273459339624499

[nds-bootstrap]: https://discord.com/channels/283769550611152897/283769550611152897
[twilight-menu]: https://discord.com/channels/283769550611152897/489307733074640926
[gbarunner2]: https://discord.com/channels/283769550611152897/620310871800807466
[web-dev]: https://discord.com/channels/283769550611152897/744649302567157800

[godmode9i]: https://discord.com/channels/283769550611152897/497960894660083732
[emulators-on-nds]: https://discord.com/channels/283769550611152897/702400281966673951
[other-nds-homebrew]: https://discord.com/channels/283769550611152897/536968881500061712

[off-topic]: https://discord.com/channels/283769550611152897/286686210225864725
[nds-gaming]: https://discord.com/channels/283769550611152897/668680785154408448
[other-console-modding]: https://discord.com/channels/283769550611152897/653706029736919051
[end-of-server]: https://discord.com/channels/283769550611152897/283770736215195648
