---
lang: fr-FR
layout: wiki
section: community
category: discord
title: Règles de DS⁽ⁱ⁾ Mode Hacking
description: Les règles du serveur Discord DS⁽ⁱ⁾ Mode Hacking
---

Cette page fournit plus de détails sur les règles décrites dans le salon [#info-and-rules](https://discord.com/channels/283769550611152897/626620520330428436) du serveur Discord. Si vous avez d'autres questions, posez-les dans [#community-meta](https://discord.com/channels/283769550611152897/715651368391671919). Notez que la version anglaise des règles [](/community/discord-rules) est la version canonique et que toute divergence éventuelle dans les traductions n'affectera pas leur application.

### 1. N'agissez pas de manière irrespectueuse envers les autres et leurs croyances

- Cela s'applique à tout le monde, quel que soit leur rôle ou leur niveau d'activité sur ce serveur, même s'ils ne sont pas sur le serveur
- N'essayez pas de faire de l'assistanat ou d'apporter votre aide lorsqu'un modérateur est déjà en train de gérer une situation
- Les rappels des règles sont acceptés, tant que vous restez respectueux
- Créditez l'auteur/autrice lorsque vous envoyez quelque chose si vous savez qui l'a créé (à l'exception des œuvres incluses qui le/la créditent déjà)

### 2. Suivez les normes établies dans les serveurs de développement de projets

- Demander pour demander n'est pas seulement ironique, mais va à l'encontre de l'intérêt d'avoir un canal d'aide tel que #nds-help, où toutes les questions d'aide sont destinées à être dirigées vers celui-ci
- Les dates de publication arbitraires ne font pas partie de notre programme de publication d'applications testées de haute qualité, et le fait d'attendre qu'elles soient prédéterminées/prêtes à la demande interfère avec notre programme de publication. Ceux qui ne veulent pas être contraints par ces limitations doivent utiliser les builds nightly si le projet le propose
- L'assistance n'est pas une aide ; les utilisateurs sont censés faire des recherches sur le sujet, que ce soit en lisant les messages épinglés ou le salon #useful-resources, ou bien en utilisant un moteur de recherche pour trouver des liens
   - Il est possible de passer outre cette règle pour des raisons légitimes, à condition que les modérateurs décident de ce qui est considéré comme légitime

### 3. Maintenez un environnement positif dans le serveur

- Les jurons ne sont pas interdits (vous êtes sur Internet, attendez-vous à en entendre), mais les injures et les insultes ne sont pas les bienvenues
- Les râles conversationnels sont autorisés tant qu'ils ne servent pas uniquement à se défouler
   - Éviter que les discussions ne soient que des répétitions de frustrations que l'on retrouve déjà si souvent ailleurs (comme sur Twitter) en introduisant un autre facteur peu connu ou discuté
   - Vous voulez commencer un sujet en disant du mal de lui ? Veillez à ce que toute la conversation ne soit pas immédiatement négative

### 4. Maintenez la qualité du chat aux attentes fixées par l'environnement

- Si vous monologuez au point de décourager les autres d'interagir ou si votre message déborde de l'écran d'un téléphone portable moyen, vous devez le déplacer vers une page dédiée, comme un fil de discussion du serveur ou Mystbin : https://mystb.in/
- Les GIFs qui complètent les messages sont amusants, mais ceux qui remplacent les conversations sont tout simplement irritants et gaspillent la bande passante.
- Limitez au maximum les messages nécessaires en :
   - NE dupliquant PAS les messages, surtout dans des salons différents
   - NE postant PAS pour le plaisir de poster (« le chat est mort », les copypastas, etc.)
   - N'envoyant PAS de messages multiples avec peu de mots chacun pour construire une phrase (comme le popcorning)
   - utilisant des réactions pour poster des émojis simples répondant au message d'un autre (pour le message juste au-dessus, tapez `:nomdelémoji:` comme raccourci)

**Les modérateurs peuvent demander l'arrêt d'une discussion, et les utilisateurs sont censés se conformer à leur demande, même si elle ne correspond pas à l'un des exemples ci-dessus**

### 5. Ne faites pas d'autopromotion sans contexte ou sans l'autorisation explicite du personnel

- Donner des liens vers d'autres serveurs Discord sur demande est autorisé, mais veuillez demander à un modérateur dans un MP avant de faire de la publicité pour un serveur sans contexte préalable
- Les annonces en MP ne sont pas autorisées, à la fois par les conditions de service de Discord et par les règles de notre serveur. Les annonces en MP en masse (avec preuve) vous vaudront un bannissement
- Rejoindre dans le but de faire de la publicité pour votre serveur Discord vous vaudra un bannissement, et vos annonces seront supprimées
- Tout compte compromis sera banni et les messages envoyés par robot seront supprimés. Si le compte est récupéré ultérieurement, veuillez contacter l'un des membres du staff

### 6. Évitez les discussions sur le piratage

Voici quelques exemples d'infractions à cette règle :
- Mentionner/Poster des liens vers des sites/outils de piratage
- Encourager le piratage, que ce soit en aidant les autres à le faire ou en le justifiant
- Téléverser du contenu piraté ou violant un accord de non-divulgation (ROMs compilées via des SDKs officiels sous licence, outils, etc…)

Exemple de ce qui n'enfreint PAS cette règle :
- Discuter du contenu des fuites connues du public, pour autant qu'aucun build, aucun code source ou même aucun fichier non lié ne soit partagé

Les conditions d'utilisation de Discord suivent la loi américaine et, en tant que telles, sont soumises à la définition américaine du piratage, que l'utilisateur vive aux États-Unis ou non
- Pour plus d'informations sur ce qu'est le piratage ou non, nous vous suggérons de lire la [page de définition du piratage de eip](https://3ds.eiphax.tech/piracy.html) (Avertissement : nous ne sommes pas des avocats)

### 7. Maintenez les conversations dans leurs salons respectifs

- Même s'ils sont liés, il arrive qu'un autre salon soit plus approprié
   - Consultez les sujets des salons pour savoir où poser des questions ou discuter
- Parfois, même un serveur entièrement différent est préférable, nous n'avons pas les réponses à tout
   - Il y a quelques serveurs liés dans [#useful-resources](https://discord.com/channels/283769550611152897/638041441079263283) et les messages épinglés d'autres salons

### 8. Gardez toutes les conversations en anglais

- Nous ne sommes pas en mesure de modérer facilement le contenu dans d'autres langues
- Nous suggérons d'utiliser [DeepL](https://www.deepl.com/translator) pour la traduction
- Des exceptions peuvent être accordées en cas d'échec de la traduction et s'il existe des personnes de confiance qui connaissent votre langue et sont en mesure de vous aider

### 9. Vous ne pouvez pas avoir un autre compte sur ce serveur sans la permission du personnel

- Un seul compte par personne à la fois (sauf si approuvé par un membre du personnel), assurez-vous de quitter ce serveur sur votre autre compte avant de le rejoindre avec un nouveau
- Les punitions s'appliquent à la personne, pas au compte, tout compte ultérieur créé dans le but d'échapper à la punition entraînera l'interdiction des deux comptes

### 10. Conservez les noms/surnoms exclusivement en alphanumérique et ne les mettez pas en valeur

- Les utilisateurs dont le surnom/nom d'utilisateur n'est pas facilement lisible pour un anglophone ou mentionnable avec un clavier anglais (US) se verront attribuer un nouveau surnom
- Évitez de mettre volontairement des caractères au début du nom pour changer votre place dans la liste des membres, ces caractères seront supprimés

### 11. N'envoyez pas de MP non sollicités à d'autres utilisateurs

- Veuillez demander avant d'envoyer un message privé à d'autres personnes et respectez ceux qui ne veulent pas communiquer
   - Même si vos actions ne sont pas malveillantes, elles peuvent être dérangeantes ou indésirables
- Les choses qui se passent dans les messages privés **sont** l'affaire du serveur puisque, à moins que vous ne partagiez tous deux un autre serveur ou que vous soyez amis, vous ne pourriez pas vous joindre l'un à l'autre
- Parmi les exemples de ce qu'il ne faut pas faire, citons la publicité en MP, la redirection délibérée des utilisateurs vers les MP à partir d'un chat normal (tel que le support) pour enfreindre les règles, et le harcèlement

### 12. N'apportez pas de contenu dramatique externe, NSFW ou illégal sur le serveur

- Si vous êtes banni sur d'autres serveurs, évitez d'en parler ici
   - Nous ne pouvons pas vous aider à vous débannir d'autres serveurs, c'est la décision des membres du staff de là-bas
- Ne publiez rien qui ne soit pas considéré comme sûr pour le travail (par exemple : contenu sexuel, violence extrême, drogues)
- Les comptes avec des avatars dérangeants seront expulsés, ce qui conduira à un bannissement s'ils conservent ledit avatar
- Bien que les contenus pour adultes soient interdits, les utilisateurs doivent avoir au moins treize ans (quinze ans en France et seize ans au Luxembourg) pour participer à ce serveur Discord, conformément aux conditions d'utilisation de Discord

### 13. Ne parlez pas ou ne faites pas d'actions relatives à la violation d'autres conditions d'utilisation de Discord

- Le non-respect de tout ce qui est couvert par les [conditions d'utilisation de Discord](https://discord.com/terms) ou les [directives de la communauté](https://discord.com/guidelines), qu'elles soient mentionnées ou non ci-dessus, entraînera un bannissement

### 14. N'essayez pas de contourner les règles car cela sera considéré comme une violation de celles-ci

- Si vous ne comprenez pas l'une des règles, n'hésitez pas à demander des précisions
- Enfreindre les règles et prétendre ensuite que vous « ne saviez pas » vous rendra toujours coupable de les avoir enfreintes
- Essayer de contourner les règles en parlant en termes vagues est également considéré comme une violation des règles

## Conséquences

Les conséquences d'une infraction à ces règles sont un avertissement, une mise en sourdine, une expulsion ou un bannissement. Bien entendu, les conséquences spécifiques seront traitées au cas par cas.
- La plupart des utilisateurs finissent par recevoir quatre avertissements avant d'être bannis
   - Ces avertissements comprennent l'utilisation de la commande !warn, la mise en sourdine et les avertissements verbaux
- Si vous vous inscrivez dans le but d'enfreindre les règles, vous serez banni

## Rapport

- Si quelqu'un enfreint les règles et qu'un modérateur ne s'occupe pas déjà du cas, veuillez envoyer un message à un modérateur en ligne
- Si l'incident s'est déroulé dans les MP, il doit y avoir des preuves, comme d'autres personnes qui l'ont signalé aussi, des implications sur le serveur, ou quelque chose de ce genre
- Toutefois, lorsque vous établissez votre rapport, couvrez tous les liens ; ne donnez pas à l'annonceur en MP plus de visibilité qu'il n'en a déjà obtenu par le biais des messages privés envoyés à tout le monde


Dernière mise à jour : 28/06/2022
